package com.tzld.piaoquan.risk.control.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

@Component
@ConfigurationProperties(prefix = "qywx") // 绑定 qywx 开头的配置
@Data // Lombok 自动生成 getter/setter
public class QywxConfig {
    private String domain;
    private Map<String, String> paths = new HashMap<>(); // 动态绑定 paths 下的所有键值对

    public String getPath(String key) {
        return paths.get(key);
    }

}