package com.tzld.piaoquan.risk.control.model.qywx;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.List;

@Data
public class UserListFromAdPlatformModel {
    @JSONField(name = "code")
    private Integer code;

    @JSONField(name = "msg")
    private String msg;

    @JSONField(name = "data")
    private List<ChatMember> data;

    @JSONField(name = "success")
    private Boolean success;

    @Data
    public static class ChatMember {
        @JSONField(name = "chatName")
        private String chatName;

        @JSONField(name = "chatId")
        private String chatId;

        @JSONField(name = "nickName")
        private String nickName;

        @JSONField(name = "externalId")
        private String externalId;

        @JSONField(name = "isAbnormal")
        private Integer isAbnormal;

        @JSONField(name = "joinTime")
        private Long joinTime;
    }
}
